import Api,{ HttpResponse, Result } from './../utils/request';


class FolderService{

    /**
     * 恢复文件
     */
     static async UpdateTripOtherStatus(params : any):Promise<HttpResponse>{
        return Api.Post("triptemplate_UpdateTripOtherStatus",params)
    }

    /**
     * 我的回收站
     */
     static async GetTripOtherRecycleBinPage(params : any):Promise<HttpResponse>{
        return Api.Post("triptemplate_GetTripOtherRecycleBinPage",params)
    }

    /**
     * 获取我的收藏
     */
     static async GetTripCollectListPage(params : any):Promise<HttpResponse>{
        return Api.Post("triptemplate_GetTripCollectListPage",params)
    }

     /**
     * 复制文件夹、文件到指定目录
     */
      static async CopyFile(params : any):Promise<HttpResponse>{
        return Api.Post("triptemplate_CopyFile",params)
    }

    /**
     * 文件夹树形结构
     */
     static async GetMyFolderTree(params : any):Promise<HttpResponse>{
        return Api.Post("triptemplate_GetMyFolderTree",params)
    }

    /**
     * 移动到文件夹
     */
     static async UpdateTripOtherFolder(params : any):Promise<HttpResponse>{
        return Api.Post("triptemplate_UpdateTripOtherFolder",params)
    }

    /**
     * 删除文件夹
     */
     static async RemoveTripFolder(params : any):Promise<HttpResponse>{
        return Api.Post("triptemplate_RemoveTripFolder",params)
    }

    /**
     * 收藏文件
     */
     static async SetFileCollect(params : any):Promise<HttpResponse>{
        return Api.Post("triptemplate_SetFileCollect",params)
    }

    /**
     * 我的云文档列表（行程、广告）
     */
     static async GetMyTripFolderPage(params : any):Promise<HttpResponse>{
        return Api.Post("triptemplate_GetMyTripFolderPage",params)
    }

    static async SetFolderAsync(FolderId:number,FolderName:string,ParendFolderId:number,FolderType:number):Promise<HttpResponse>{
        let msg = {
            FolderId,
            FolderName,
            ParendFolderId,
            FolderType
        }
        return Api.Post("triptemplate_SetTripFolder",msg)
    }
}
export default FolderService;